#!/usr/bin/sh

#ident	"@(#)opensrc:src/hpijs-1.5/hpijs-1.5.sh /main/1"

#
# The source files here are entirely from
#
#	hpijs-1.5 distribution from http://hpinkjet.sourceforge.net/
#
# except for the following files:
#
# - hpijs-1.5.sh		(this file)
# - hpijs-1.5-unixware.patch	(patch file)
#

set -x
set -e

#
# We need BSD-compatible install command.
#
INSTALL="/usr/ucb/install"
if [ ! -x ${INSTALL} ]
then
	echo "ERROR: ${INSTALL} not found." >&2
	exit 1
fi
export INSTALL

#
# We need gzip to compress PPD files.
#
if [ ! -x /usr/add-on/public/bin/gzip ]
then
	echo "ERROR: /usr/add-on/public/bin/gzip not found." >&2
	exit 1
fi

#
# Apply patches.
#
for patch in hpijs-1.5-unixware
do
	[ -f .${patch}.applied ] || {
		/bin/patch -c -p0 -i ${patch}.patch
		/bin/date > .${patch}.applied
	}
done

#
# Define CONFIG_SHELL to /bin/sh (configure uses /bin/bash by default)
#
CONFIG_SHELL=/bin/sh
export CONFIG_SHELL

#
# Configure
#
# --cache-file=/dev/null	(always start fresh)
# --host=i386			(cross-compile)
# --disable-cups-install	(this package requires foomatic which creates
# 				 the appropriate hooks for cups)
# --enable-foomatic-install	(install PPD files)
#
./configure \
	--cache-file=/dev/null \
	--host=i386 \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--disable-cups-install \
	--enable-foomatic-install

#
# Add /usr/add-on/public/bin to PATH for gzip command.
#
PATH=${PATH}:/usr/add-on/public/bin
export PATH

#
# Make and install in ${ROOT}/${MACH}
#
${MAKE} DESTDIR=${ROOT}/${MACH} install

#
# Install Docview metadata file.
#
PR_group=/usr/share/meta/doc/HelpTopics/PRhome/PRgroup

${INSTALL} -d ${ROOT}/${MACH}/${PR_group}

/bin/cat > ${ROOT}/${MACH}/${PR_group}/PR_hpijs.desktop << EOF
[Desktop Entry]
Name=HP Inkjet Printer Driver
DocPath=/usr/share/doc/unixware/en/hpijs/hpijs_readme.html
X-COL-rewrite=hpijs
EOF
